module.exports = {
  parser: 'babel-eslint',
  plugins: ['react'],
  extends: ['eslint:recommended', 'plugin:react/recommended'],
  parserOptions: {
    ecmaVersion: 7,
    ecmaFeatures: {
      jsx: true,
    },
  },
  settings: {
    'import/resolver': 'webpack',
  },
  env: {
    browser: true,
    node: true,
  },
  rules: {
    curly: [2, 'all'],
    eqeqeq: [2],
    'no-caller': [2],
    'no-new': [2],
    'no-param-reassign': [2],
    'no-self-compare': [2],
    'no-throw-literal': [2],
    'no-undef': [2],
    'no-unused-vars': [2, { vars: 'all', args: 'none' }],
    'no-use-before-define': [2],
    'no-var': [2],
    strict: [2, 'never'],
    //"brace-style": [2, "1tbs"],
    'comma-spacing': [2, { before: false, after: true }],
    'eol-last': [2],
    indent: [0],
    'key-spacing': [2, { beforeColon: false, afterColon: true }],
    'no-mixed-requires': [2],
    'no-mixed-spaces-and-tabs': [2],
    //"no-trailing-spaces": [2],
    //"no-underscore-dangle": [2],
    'keyword-spacing': [2],
    'space-before-blocks': [2, 'always'],
    'space-before-function-paren': [
      'error',
      {
        anonymous: 'always',
        named: 'never',
        asyncArrow: 'always',
      },
    ],
    'object-curly-spacing': [0],
    'template-curly-spacing': [0],
    'array-bracket-spacing': [0],
    'space-in-parens': [2, 'never'],
    'space-infix-ops': [2],
    'comma-dangle': ['error', 'only-multiline'],
    'new-cap': [0],
    'no-alert': [0],
    quotes: [0],
    'no-console': [0],
    'padded-blocks': [0],
    'max-len': [0],
    'react/jsx-indent-props': [0],
    'react/prefer-es6-class': [0],
    'react/jsx-no-bind': [0],
    'react/jsx-indent': [0],
    'react/jsx-curly-spacing': [0],
    'react/jsx-first-prop-new-line': [0],
    'react/jsx-boolean-value': [0],
    'react/jsx-filename-extension': [0],
    'react/no-unused-prop-types': [2],
    'react/forbid-prop-types': [0],
    'react/jsx-wrap-multilines': [0],
    'react/require-default-props': [0],
    'react/no-array-index-key': [0],
    'react/jsx-curly-brace-presence': [0],
    'react/destructuring-assignment': [0],
    'react/no-children-prop': [0],
    'react/jsx-one-expression-per-line': [0],
    'react/sort-comp': [0],
    yoda: [0],
    'spaced-comment': [0],
    'arrow-body-style': [0],
    camelcase: [0],
    'no-unneeded-ternary': [0],
    'no-unreachable': [0],
    'one-var': [0],
    'one-var-declaration-per-line': [0],
    'no-underscore-dangle': [0],
    'global-require': [0],
    'newline-per-chained-call': [0],
    'no-trailing-spaces': [0],
    'space-unary-ops': [0],
    'no-lonely-if': [0],
    'object-property-newline': [0],
    'arrow-parens': [0],
    'no-plusplus': [0],
    'class-methods-use-this': [0],
    'no-continue': [0],
    'no-useless-escape': [0],
    'no-debugger': [0],
    'quote-props': [0],
    'function-paren-newline': [0],
    'prefer-destructuring': [0],
    'object-curly-newline': [0],
    'no-restricted-globals': [0],
    semi: [0],
    'semi-style': [0],
    'import/prefer-default-export': [0],
    'import/imports-first': [0],
    'import/first': [0],
    'import/no-cycle': [0],
    'no-multi-assign': [0],
    'no-named-as-default': [0],
    'implicit-arrow-linebreak': [0],
    'operator-linebreak': [0],
    'lines-between-class-members': [0],
    'no-await-in-loop': [0],
    'no-restricted-syntax': [0],
  },
}
